@import url('https://fonts.googleapis.com/css?family=Passion+One');

body {
	font-family: 'Passion One', cursive;
	background-color: #d0d0d0;
	margin: 0;
}

main {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 1rem;
    padding: 1rem;
    stroke: black;
    fill: black;
}

section {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rebeccapurple;
    padding: 1rem;
}

@media (min-width: 661px) {
    main {
        grid-template-columns: 1fr 1fr;
    }

    section svg {
        fill: white;
    }

    section:nth-of-type(4n + 1) {
        grid-column: 1 / span 2;
    }
    
    section:nth-of-type(4n + 2) {
        grid-column: 1 / span 2;
    }

    section:nth-of-type(4n + 3) {
        grid-column: 1;
    }
    
    section:nth-of-type(4n + 4) {
        grid-column: 2;
    }
}

@media (min-width: 961px) {
    main {
        grid-template-columns: 1fr 1fr 1fr;
    }

    section:nth-of-type(4n + 2) {
        grid-column: 3;
        grid-row: span 2;
    }
}


.bkgd-img {
    background-image: url(../assets/sprite_bkgd.svg);
}